package com.atlassian.bitbucket.internal.mirroring.mirror.dao;

import com.google.common.base.Functions;
import com.google.common.base.Joiner;
import com.google.common.collect.Iterables;

public class MappingDaoHelper {
    public static String inClausePlaceholder(Iterable<?> values) {
        return Joiner.on(", ").join(Iterables.transform(values, Functions.constant("?")));
    }

    private MappingDaoHelper() {
        throw new IllegalStateException("MappingDaoHelper is a utility class");
    }
}
